Skip to main content
POST
/
v2
/
actions
Create
curl --request POST \
  --url https://api.incident.io/v2/actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignee_id": "01FCNDV6P870EA6S7TK1DSYDG0",
  "description": "Call the fire brigade",
  "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0"
}
'
import requests

url = "https://api.incident.io/v2/actions"

payload = {
    "assignee_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "description": "Call the fire brigade",
    "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    assignee_id: '01FCNDV6P870EA6S7TK1DSYDG0',
    description: 'Call the fire brigade',
    incident_id: '01FCNDV6P870EA6S7TK1DSYDG0'
  })
};

fetch('https://api.incident.io/v2/actions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "action": {
    "assignee": {
      "email": "lisa@incident.io",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Lisa Karlin Curtis",
      "role": "owner",
      "slack_user_id": "U02AYNF2XJM"
    },
    "completed_at": "2021-08-17T13:28:57.801578Z",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "creator": {
      "alert": {
        "id": "01GW2G3V0S59R238FAHPDS1R66",
        "title": "*errors.withMessage: PG::Error failed to connect"
      },
      "api_key": {
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "My test API key"
      },
      "user": {
        "email": "lisa@incident.io",
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "Lisa Karlin Curtis",
        "role": "owner",
        "slack_user_id": "U02AYNF2XJM"
      },
      "workflow": {
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "My little workflow"
      }
    },
    "description": "Call the fire brigade",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "status": "outstanding",
    "updated_at": "2021-08-17T13:28:57.801578Z"
  }
}
🔑 Requires the actions.create scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Body

application/json
description
string
required

Description of the action. Supports Markdown.

Example:

"Call the fire brigade"

incident_id
string
required

Unique identifier of the incident the action belongs to

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

assignee_id
string

ID of the user this action is assigned to

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

201 - application/json

Created response.

action
object
required